%define rname sary
%define name ruby-%{rname}
%define version 1.2.0
%define release 4mdk

Summary: Ruby Binding of Sary
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://prime.sourceforge.jp/src/
Source0: %{rname}-ruby-%{version}.tar.bz2
License: LGPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: ruby-devel
BuildRequires: sary-devel
Obsoletes: sary-ruby
Provides: sary-ruby

%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
Ruby Binding of Sary

%prep
%setup -q -n %{rname}-ruby-%{version}

%build
ruby extconf.rb
make

%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{ruby_archdir}/%{rname}.so
%doc ChangeLog README.en.rd README.ja.rd
%doc Reference.en.rd Reference.ja.rd

%changelog
* Fri Aug 19 2005 Pascal Terjan <pterjan@mandriva.org> 1.2.0-4mdk
- rebuild for new sary on x86_64...

* Tue Jul 19 2005 Pascal Terjan <pterjan@mandriva.org> 1.2.0-3mdk
- fix buildrequires (sary-devel provide is not versionned)

* Sat Apr 16 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.2.0-2mdk
- Fixes %%files for for X86-64.

* Wed Mar 30 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-1mdk
- new release

* Mon Feb 21 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.0.1-2mdk
- rewrite like other ruby packages
- don't own %{_libdir}/ruby/site_ruby/1.8
- drop explict requires
- rename ro ruby-sary

* Fri Feb 18 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.1.0.1-1mdk
- initial spec for mdk
